<?php

/**
 * @file
 * Provides views data for the smart_date module.
 */

use Drupal\field\FieldStorageConfigInterface;

/**
 * Implements hook_field_views_data().
 */
function smart_date_field_views_data(FieldStorageConfigInterface $field_storage) {
  // Include datetime.views.inc file in order for helper function
  // datetime_type_field_views_data_helper() to be available.
  \Drupal::moduleHandler()->loadInclude('datetime', 'inc', 'datetime.views');

  // Leverage datetime field data for value and end_value, but customize for
  // timestamp storage.
  $data = datetime_type_field_views_data_helper($field_storage, [], 'value');
  $data['node__field_time']['field_time_value']['argument']['id'] = 'date';
  $data['node__field_time']['field_time_value']['filter']['id'] = 'date';
  $data['node__field_time']['field_time_value']['sort']['id'] = 'date';

  $data = datetime_type_field_views_data_helper($field_storage, $data, 'end_value');
  $data['node__field_time']['field_time_end_value']['argument']['id'] = 'date';
  $data['node__field_time']['field_time_end_value']['filter']['id'] = 'date';
  $data['node__field_time']['field_time_end_value']['sort']['id'] = 'date';

  return $data;
}
